#
# spec file for package gis-weather
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

Name:           gis-weather
Version:        0.8.2.5
Release:        %mkrel 1
License:        GPL-3.0
Summary:        Customizable weather widget
Url:            http://sourceforge.net/projects/gis-weather
Group:          Graphics
Source:         http://skylink.dl.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.xz
Source1:        gis-weather
Source2:        gis-weather.desktop
BuildRequires:  fdupes
BuildRequires:  gobject-introspection
Requires:       python3-cairo
Requires:       python3-gobject3
Requires:       python3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Customizable weather widget.
Features
  * View weather for several days
  * Detailed weather forecast for today and tomorrow
  * Fast switching between cities
  * Select the background and theme weather icons
  * "Compass" with the wind direction, with adjustable angle of rotation
  * Highlighting the high wind
  * Support weather services:
    * Gismeteo.com
    * AccuWeather.com
    * OpenWeatherMap.org
    * Yr.no
  * Support SVG and widget scale
  * Indicator to panel
  * Presets

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
install -Dm 0755 %SOURCE1 %{buildroot}%{_bindir}/%{name}
install -Dm 0644 %SOURCE2 %{buildroot}%{_datadir}/applications/%{name}.desktop
install -dm 0755 %{buildroot}%{_datadir}/%{name}

echo rpm > %{buildroot}%{_datadir}/%{name}/package

cp -a {dialogs,gis-weather.py,icon.png,i18n,services,themes,utils} %{buildroot}%{_datadir}/%{name}/

# non-executable-script
grep -rl '^#!' %{buildroot}%{_datadir}/%{name}/ | xargs chmod 0755

# wrong-script-end-of-line-encoding
sed -i 's/\r//' %{buildroot}%{_datadir}/%{name}/dialogs/settings_dialog.py

fdupes %{buildroot}%{_datadir}/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}

%changelog
* Wed Jan 10 2018 adrianomorselli <adrianomorselli> 0.8.2.5-1uplos2018
- imported for uplos
